petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDAGetDof

Gets the number of degrees of freedom per vertex

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetDof(DM da, PetscInt *dof)

Not collective

### Input Parameter

da -The DMDA

### Output Parameter

dof -Number of degrees of freedom

### Keywords

distributed array, degrees of freedom

### See Also

DMDASetDof(), DMDACreate(), DMDestroy(), DMDA

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages